Bug 145441 - idr_remove called for id=1 which is not allocated
idr_remove called for id=1 which is not allocated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-18 10:42 EST by Tom London
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 09:32:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2005-01-18 10:42:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Got the following during a reboot.

Jan 18 07:12:01 fedora shutdown: shutting down for system reboot
Jan 18 07:12:01 fedora init: Switching to runlevel: 6
Jan 18 07:12:02 fedora gdm(pam_unix)[3114]: session closed for user tbl
Jan 18 07:12:02 fedora su[3784]: Warning!  Could not relabel  with
user_u:object_r:user_devpts_t, not relabeling. 
Jan 18 07:12:02 fedora su(pam_unix)[3784]: session closed for user root
Jan 18 07:12:02 fedora kernel: idr_remove called for id=1 which is not
allocated.
Jan 18 07:12:02 fedora kernel:  [<c01d2c4f>] sub_remove+0xcb/0xd3
Jan 18 07:12:02 fedora kernel:  [<c0215e14>] release_dev+0x7ab/0x7f1
Jan 18 07:12:02 fedora kernel:  [<c0145a4e>]
cache_free_debugcheck+0x192/0x199
Jan 18 07:12:02 fedora kernel:  [<c01d2c6f>] idr_remove+0x18/0x72
Jan 18 07:12:02 fedora kernel:  [<c0215e43>] release_dev+0x7da/0x7f1
Jan 18 07:12:02 fedora kernel:  [<c015f996>] filp_dtor+0x0/0xd4
Jan 18 07:12:02 fedora kernel:  [<c0144569>] kmem_freepages+0x6d/0x87
Jan 18 07:12:02 fedora kernel:  [<c0144945>] slab_destroy+0xe5/0x102
Jan 18 07:12:02 fedora kernel:  [<c0145f1c>] free_block+0xbf/0x116
Jan 18 07:12:02 fedora kernel:  [<c0145f1c>] free_block+0xbf/0x116
Jan 18 07:12:03 fedora kernel:  [<c01445c3>] poison_obj+0x1a/0x34
Jan 18 07:12:03 fedora kernel:  [<c0216388>] tty_release+0x7/0xa
Jan 18 07:12:03 fedora kernel:  [<c015fb8f>] __fput+0x48/0xe1
Jan 18 07:12:03 fedora kernel:  [<c015e66e>] filp_close+0x59/0x5f
Jan 18 07:12:03 fedora kernel:  [<c011d228>] put_files_struct+0x56/0xa9
Jan 18 07:12:03 fedora kernel:  [<c011e036>] do_exit+0x15b/0x411
Jan 18 07:12:03 fedora kernel:  [<c011e485>] sys_exit_group+0x0/0xd
Jan 18 07:12:03 fedora kernel:  [<c010338b>] syscall_call+0x7/0xb
Jan 18 07:12:04 fedora dbus: avc:  15 AV entries and 12/512 buckets
used, longest chain length 2 
Jan 18 07:12:04 fedora saslauthd[2756]: server_exit     : master
exited: 2756
Jan 18 07:12:05 fedora xfs[2733]: terminating 
Jan 18 07:12:05 fedora rpc.mountd: Caught signal 15, un-registering
and exiting.

Version-Release number of selected component (if applicable):
kernel-2.6.10-1.1089_FC4

How reproducible:
Didn't try


Additional info:
Comment 1 Dave Jones 2005-10-06 00:30:29 EDT
is this reproducable with the current errata kernel ?
Comment 2 Tom London 2005-10-06 09:32:18 EDT
No. 

This probably got fixed long ago.

I'll close this out....

Note You need to log in before you can comment on or make changes to this bug.